Question on 3GS jailbreak

Welcome to our Community
Wanting to join the rest of our members? Feel free to sign up today.
Sign up

ring0_event

Member
Bronze
Aug 24, 2010
216
3
18
#1
Hello,
I have a 3gs, *new* boot rom, with 4.3.3, jailbroken and unlocked. I've really been out of the loop for a while, so could anyone tell me how to jailbreak 5.01 *and* maintain my unlock? I have access to a Mac at work if need be. Thanks!
 

PinkBanana

Zealot
Gold
Feb 16, 2010
1,472
92
48
Burnley, UK
#3
I think if you use the latest red snow you can preserve your baseband. Not 100% though. I'm sure someone with much more experience than me will pipe up soon. I know I only kept my baseband because I'm using the ipad baseband.
 

Europa

Moderator
Senior Moderator
Dec 12, 2008
28,365
5,505
113
Utah
#5
Are you using the iPad baseband (6.15.00)?
Check here:
Settings > General > About Modem Firmware
 

ring0_event

Member
Bronze
Aug 24, 2010
216
3
18
#6
Hi Europa,
Thanks for replying! I'm on baseband 5.13.04, and I've never used the iPad baseband.
Can I use redsn0w or pwngage tool to create a custom FW image which preserves my baseband? If so, then all I need to do is upgrade from iTunes with the shift key, right?
 

ring0_event

Member
Bronze
Aug 24, 2010
216
3
18
#8
Yeah, me neither, so I hope Europa will confirm what be both guess to be true. I really can't proceed till I know for sure!
 

ring0_event

Member
Bronze
Aug 24, 2010
216
3
18
#11
Crap, I tried to JB and I got a 1608 error in iTunes. I used redsn0w to generate an unlocked JB 5.01 IPSW, and then put my 3gs in pwned DFU mode. I then tried to shift upgrade upgrade in iTunes, but first got code error 10, and when I retried, code error 1608. I was then stuck in DFU mode. Luckily, I was able to restore to 4.3.3 using my old IPSW which was hacked using pwnage tool. Not sure if that was the best option, but it worked.
Any ideas on what I did wrong in my upgrade attempt to 5.01? Do I need to run Tiny Umbrella, or something else during the update?
 

ring0_event

Member
Bronze
Aug 24, 2010
216
3
18
#14
Yeah, and it looks like TU no longer works for iOS5...I might have been running TU in my first attempt, but later on during my second attempt I realized running TU was an issue (my iTunes was also old). So I'm not sure if the old iTunes or the usage of TU was my issue during the first attempt...